Bug 806993 - use of http:///some.host.name:port will confuse the subscription manger gui
Summary: use of http:///some.host.name:port will confuse the subscription manger gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 5.9
Assignee: Alex Wood
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On:
Blocks: 771748
TreeView+ depends on / blocked
 
Reported: 2012-03-26 17:36 UTC by Bryan Kearney
Modified: 2013-04-29 14:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-01-08 03:49:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
checking proxy (19.43 KB, image/png)
2012-06-19 15:38 UTC, J.C. Molet
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0033 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-01-08 08:38:27 UTC

Description Bryan Kearney 2012-03-26 17:36:18 UTC
if the user specifies a proxy with the protocol, such as this:

 http://some.host.name:port

in the gui, then the next time the window is opened you will see:

 http:///some.host.name:port:port


Expected results. 

If the protocol is not necessary, then the gui, cli, and conf file should accept it and ignore it correctly.

Comment 1 RHEL Program Management 2012-04-02 10:50:08 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 2 Alex Wood 2012-04-23 15:09:41 UTC
commit be2cbf2bdec5f47474c0c1f5ae543b0523348364
Author: Alex Wood <awood@redhat.com>
Date:   Tue Apr 17 10:56:43 2012 -0400

    806993: Tolerate the provision of a scheme with the proxy string.

Comment 4 J.C. Molet 2012-06-19 15:38:02 UTC
Created attachment 592991 [details]
checking proxy

Tested with:

subscription-manager-gui-1.0.4-1.git.3.1768f90.el5

steps:

1) Opened up subscription-manager-gui
2) System > Configure Proxy
3) Check "I would like to connect via HTTP proxy
4) enter in "http://blah.redhat.com:123"
5) close proxy
6) System > Configure Proxy

The "http://" was dropped/ignored and it did not double stack the port number or munge the hostname in any way.

Marking VERIFIED

Comment 6 errata-xmlrpc 2013-01-08 03:49:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0033.html


Note You need to log in before you can comment on or make changes to this bug.